require "dungeon-generator/room"

function dungeonNew()

	timer = 0

    cellSize = 10
    
    gridXCount = gridXCount + 25
    gridYCount = gridYCount + 25
	
    grid = {}
	gridroomType = {}
    for x = 1, gridXCount do
        grid[x] = {}
		gridroomType[x] = {}
        for y = 1, gridYCount do
            grid[x][y] = 0
			gridroomType[x][y] = 0
        end
    end
	
	finish = false
	
	attempt = 0
	attemptMax = attemptMax + 20
	
	bonusrooms = 0
	bonusroomsMax = 3
	
	room = 1
	
	layer = 1
	sections = {}
	table.insert(sections,{x=1,y=1,w=gridXCount,h=gridYCount,layer=layer})
	
end

function dungeonDraw()
	
    for x = 1, gridXCount do
        for y = 1, gridYCount do
            local cellDrawSize = cellSize - 1

			if grid[x][y] == 1 then -- 1 = corridor
                love.graphics.setColor(0, 100, 0)
            elseif grid[x][y] >= 2 then -- 2 = Room
                love.graphics.setColor(0,0,100)
            elseif grid[x][y] == 0 then -- 0 = wall
				love.graphics.setColor(0, 200, 0)
            elseif grid[x][y] == -1 then -- -1 = possible door
				love.graphics.setColor(100, 0, 0)
            elseif grid[x][y] == -2 then -- -2 = door
				love.graphics.setColor(200, 0, 200)
			end
			
			if gridroomType[x][y] == 1 then
				love.graphics.setColor(255,255,255) -- start room
			elseif gridroomType[x][y] == 2 then
				love.graphics.setColor(0,0,0) -- boss room
			elseif gridroomType[x][y] == 3 then
				love.graphics.setColor(255,0,0) -- item room
			elseif gridroomType[x][y] == 4 then
				love.graphics.setColor(0,0,255) -- store room
			end
			
            love.graphics.rectangle(
                'fill',
                (x - 1) * cellSize + 75,
                (y - 1) * cellSize + 75,
                cellDrawSize,
                cellDrawSize
            )
			
        end
    end
	
	for i,o in pairs(sections) do
		love.graphics.setColor(o.layer*10,layer*10,o.layer*10)
		love.graphics.rectangle("line",(o.x-1)*cellSize+75,(o.y-1)*cellSize+75,o.w*cellSize,o.h*cellSize)
	end
end